const express = require('express');
const http = require('http');
const socketIo = require('socket.io');
const cors = require('cors');
const bodyParser = require('body-parser');


const app = express();
const server = http.createServer(app);
const io = socketIo(server);


// Configurar CORS
app.use(cors()); // Permitir solicitudes desde cualquier origen

// const corsOptions = {
//     origin: 'http://localhost:8080', // Adjust based on your front-end URL
//     methods: 'GET,POST',
//     allowedHeaders: 'Content-Type'
// };
// app.use(cors(corsOptions));

app.use(bodyParser.json());



io.on('connect', (socket) => {
    console.log('a user connected');
    socket.on('disconnect', () => {
        console.log('user disconnected');
    });
});

const PORT = process.env.PORT || 3000;
server.listen(PORT, () => {
    console.log(`Server is running on port ${PORT}`);
});


app.get('/', (req, res) => {
    res.json({ message: "conected to game api" });
});